Backups

Get a backup

GET/backups/runs/{id}/

read Read: looks, changes nothing. Scopes

Panel operators only.

Path parameters

  • idstring (uuid)required

    A UUID string identifying this Backup.

Response

200 OK

  • idstring (uuid)requiredread-only
  • planstring (uuid)requiredread-onlycan be null
  • plan_namestringrequiredread-only
  • triggerstringrequiredread-only
  • trigger_labelstringrequiredread-only
  • scopestringrequiredread-only
  • componentsanyrequiredread-only

    The component keys this backup holds.

  • component_labelsstring[]requiredread-only
  • contents_labelstringrequiredread-only
  • encryptedbooleanrequiredread-only
  • compressionintegerrequiredread-only
  • statusstringrequiredread-only
  • status_labelstringrequiredread-only
  • phasestringrequiredread-only
  • bytes_doneintegerrequiredread-only
  • messagestringrequiredread-only
  • filenamestringrequiredread-only
  • size_bytesintegerrequiredread-only
  • sha256stringrequiredread-only
  • copiesobject[]requiredread-only
    • idstring (uuid)requiredread-only
    • destinationstring (uuid)can be null
    • destination_namestringrequired
    • kindstringrequired
      • local - This server
      • s3 - Object storage

      One of: "local" "s3"

    • kind_labelstringrequiredread-only
    • locationstring

      File path on this server, or object key.

    • statusstring
      • pending - Waiting
      • storing - Copying
      • stored - Stored
      • failed - Failed
      • deleted - Deleted

      One of: "pending" "storing" "stored" "failed" "deleted"

    • status_labelstringrequiredread-only
    • messagestring
    • stored_atstring (date-time)can be null
  • deleted_atstring (date-time)requiredread-onlycan be null
  • deleted_reasonstringrequiredread-only
  • can_downloadbooleanrequiredread-only
  • created_by_usernamestringrequiredread-only
  • created_atstring (date-time)requiredread-only
  • updated_atstring (date-time)requiredread-only
  • started_atstring (date-time)requiredread-onlycan be null
  • finished_atstring (date-time)requiredread-onlycan be null

Errors

  • 401 No credential, or one that is wrong, expired or revoked.
  • 403 The account, or the key's or app's scopes, may not do this.
  • 404 Nothing with this id, or nothing the account can see.
  • 429 Slow down: wait the seconds in the Retry-After header, then try again.

What each error means